"""
    Common MIME types
    https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types/Common_types
"""
MIME_TYPES = {
    "audio/aac": [".aac"],
    "application/x-abiword": [".abw"],
    "application/x-freearc": [".arc"],
    "video/x-msvideo": [".avi"],
    "application/vnd.amazon.ebook": [".azw"],
    "application/octet-stream": [".bin"],
    "image/bmp": [".bmp"],
    "application/x-bzip": [".bz"],
    "application/x-bzip2": [".bz2"],
    "application/x-csh": [".csh"],
    "text/css": [".css"],
    "text/csv": [".csv"],
    "application/msword": [".doc"],
    "application/vnd.openxmlformats-officedocument.wordprocessingml.document": [
        ".docx"
    ],
    "application/vnd.ms-fontobject": [".eot"],
    "application/epub+zip": [".epub"],
    "application/gzip": [".gz"],
    "image/gif": [".gif"],
    "text/html": [".htm", ".html"],
    "image/vnd.microsoft.icon": [".ico"],
    "text/calendar": [".ics"],
    "application/java-archive": [".jar"],
    "image/jpeg": [".jpeg", ".jpg"],
    "text/javascript": [".js", ".mjs"],
    "application/json": [".json"],
    "application/ld+json": [".jsonld"],
    "audio/x-midi": [".mid", ".midi"],
    "audio/mpeg": [".mp3"],
    "application/x-cdf": [".cda"],
    "video/mp4": [".mp4"],
    "video/mpeg": [".mpeg"],
    "application/vnd.apple.installer+xml": [".mpkg"],
    "application/vnd.oasis.opendocument.presentation": [".odp"],
    "application/vnd.oasis.opendocument.spreadsheet": [".ods"],
    "application/vnd.oasis.opendocument.text": [".odt"],
    "audio/ogg": [".oga"],
    "video/ogg": [".ogv"],
    "application/ogg": [".ogx"],
    "audio/opus": [".opus"],
    "image/png": [".png"],
    "application/pdf": [".pdf"],
    "application/x-httpd-php": [".php"],
    "application/vnd.ms-powerpoint": [".ppt"],
    "application/vnd.openxmlformats-officedocument.presentationml.presentation": [
        ".pptx"
    ],
    "application/vnd.rar": [".rar"],
    "application/rtf": [".rtf"],
    "application/x-sh": [".sh"],
    "image/svg+xml": [".svg"],
    "application/x-shockwave-flash": [".swf"],
    "application/x-tar": [".tar"],
    "image/tiff": [".tif", ".tiff"],
    "video/mp2t": [".ts"],
    "text/plain": [".txt"],
    "application/vnd.visio": [".vsd"],
    "audio/wav": [".wav"],
    "audio/webm": [".weba"],
    "video/webm": [".webm"],
    "image/webp": [".webp"],
    "application/xhtml+xml": [".xhtml"],
    "application/vnd.ms-excel": [".xls"],
    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": [".xlsx"],
    "application/xml": [".xml"],
    "text/xml": [".xml"],
    "application/vnd.mozilla.xul+xml": [".xul"],
    "application/zip": [".zip"],
    "video/3gpp": [".3gp"],
    "video/3gpp2": [".3g2"],
    "application/x-7z-compressed": [".7z"],
}